package com.sz.admin.monitor.service;

import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.po.FaceImage;
import com.sz.admin.monitor.pojo.po.FaceInfo;
import com.sz.admin.monitor.pojo.vo.faceimage.FaceImageVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.util.List;

/**
 * ClassName: FaceImageService
 * Package: com.sz.admin.monitor.service
 * Description:
 */
public interface FaceImageService extends IService<FaceImage> {
    String fileUpload(MultipartFile file);
    // 根据人脸ID查询人脸图片
    List<FaceImageVO> getByFaceId(Long id);
    // 人脸图片上传直接与人脸信息表绑定
    void fileUploadBind(MultipartFile file, Long id);
    // 根据人脸ID删除人脸图片
    void removeByFaceIds(List<? extends Serializable> ids);
}
